# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"{E0FABD74-083B-47F4-AC5B-CA4237BF8913}_is1",
   "name":"UltraViewer version 6.6.87",
   "version":"6.6.87",
   "install_date":"2024-08-14 00:00:00",
   "install_location":"C:\\Program Files (x86)\\UltraViewer\\",
   "uninstall_string":"\"C:\\Program Files (x86)\\UltraViewer\\unins000.exe\"",
   "publisher":"DucFabulous",
   "system_component":0,
   "win64":false
  }

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('UltraViewer_setup_*.exe')[0]
    # Installing the software
    
    install_exe_if_needed(bin_name,
        silentflags='/VERYSILENT /SUPPRESSMSGBOXES /NORESTART',
        key='{E0FABD74-083B-47F4-AC5B-CA4237BF8913}_is1',
        min_version=control.get_software_version(),
    )



